Subject: Signal-handler cleanup for Emacs

From: Paul Eggert <[email-masked]>
Date: Thu, 06 Sep 2012 18:35:59 -0700

I installed the reworked patch <http://bugs.gnu.org/12327#20>
into the trunk as bzr 109909.

I also installed the first chunk of the later cleanup
<http://bugs.gnu.org/12327#35> as trunk bzr 109893.
This had a typo that prevented it working on Windows
hosts -- sorry about that, and thanks to Andy and Martin
for reporting it and Eli for fixing it.

Other parts of the later cleanup still need installing,
to fix the problem Andreas mentioned, plus some other
race conditions I've found during analysis and testing
on GNU/Linux.  Since Bug#12327 is now marked as done
and is getting a bit hard-to-follow anyway, I'll submit these
separately, as a different bug#.